module.exports = {
  /**
   * Unexpected statuses of Node.
   * @type {Object}
   */
  NODE_STATUS: {
    REBOOT : 'reboot',
    ERROR  : 'error',
    UNKNOWN: 'unknown'
  },
  /**
   * Interface.
   * @type {Object}
   */
  FACET      : {
    HEALTH: 'health',
    STATE : 'state'
  },
  /**
   * Statuses of Watchdog.
   * @type {Object}
   */
  STATUS     : {
    WATCHING: 'watching',
    SLEEPING: 'sleeping',
    WAITING : 'waiting',
    RECALL  : 'recall'
  }
};